classification
Title: TYPE_IGNORE, COLONEQUAL missing from py38 changes in token docs
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.9, Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: terry.reedy Nosy List: docs@python, hauntsaninja, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2020-02-21 22:01 by hauntsaninja, last changed 2020-02-29 00:01 by terry.reedy. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 18598 merged hauntsaninja, 2020-02-21 22:02
PR 18696 merged miss-islington, 2020-02-28 23:25
Messages (4)
msg362436 - (view) Author: Shantanu (hauntsaninja) * Date: 2020-02-21 22:01
Changed in version 3.8 section of https://docs.python.org/3/library/token.html should mention the addition of TYPE_IGNORE and COLONEQUAL
msg362939 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-02-28 23:22
I verified the additions in token.py.  Thanks for the report.
msg362941 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-02-28 23:25
New changeset c2f7eb254bee036afc8a71437ec6aac82f06a1ce by Shantanu in branch 'master':
bpo-39718: add TYPE_IGNORE, COLONEQUAL to py38 changes in token (GH-18598)
https://github.com/python/cpython/commit/c2f7eb254bee036afc8a71437ec6aac82f06a1ce
msg362942 - (view) Author: miss-islington (miss-islington) Date: 2020-02-28 23:31
New changeset 7f53d87cb0324e391c969855ed8f4b3255f9f744 by Miss Islington (bot) in branch '3.8':
bpo-39718: add TYPE_IGNORE, COLONEQUAL to py38 changes in token (GH-18598)
https://github.com/python/cpython/commit/7f53d87cb0324e391c969855ed8f4b3255f9f744
History
Date User Action Args
2020-02-29 00:01:01terry.reedysetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-02-28 23:31:24miss-islingtonsetmessages: + msg362942
2020-02-28 23:25:50miss-islingtonsetnosy: + miss-islington
pull_requests: + pull_request18057
2020-02-28 23:25:40terry.reedysetmessages: + msg362941
2020-02-28 23:22:04terry.reedysetversions: + Python 3.8, Python 3.9
nosy: + terry.reedy

messages: + msg362939

assignee: docs@python -> terry.reedy
type: behavior
2020-02-21 22:02:32hauntsaninjasetkeywords: + patch
stage: patch review
pull_requests: + pull_request17965
2020-02-21 22:01:40hauntsaninjacreate